﻿using System.ComponentModel.DataAnnotations;

namespace PrecastConcretePlantDatabaseImplement.Models
{
    public class ShopReinforced
    {
        public int Id { get; set; }

        [Required]
        public int ShopId { get; set; }

        [Required]
        public int ReinforcedId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Reinforced Reinforced { get; set; } = new();

        public virtual Shop Shop { get; set; } = new();
    }
}
